枚举子网站
获取为 网站 定义的子网站集合。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Sites.Read.All、Sites.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | Sites.Read.All、Sites.ReadWrite.All |
HTTP 请求
GET /sites/{site-id}/sites
响应
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "contoso.sharepoint.com,da60e844-ba1d-49bc-b4d4-d5e36bae9019,712a596e-90a1-49e3-9b48-bfa80bee8740",
"name": "Team A Subsite",
"description": "",
"createdDateTime": "2016-10-18T03:05:59Z",
"lastModifiedDateTime": "2016-10-18T10:40:59Z",
"webUrl": "https://contoso.sharepoint.com/sites/site/subsiteA"
},
{
"id": "contoso.sharepoint.com,da60e844-ba1d-49bc-b4d4-d5e36bae9019,0271110f-634f-4300-a841-3a8a2e851851",
"name": "Team B Subsite",
"description": "",
"createdDateTime": "2016-10-18T03:05:59Z",
"lastModifiedDateTime": "2016-10-18T10:40:59Z",
"webUrl": "https://contoso.sharepoint.com/sites/site/subsiteB"
}
]
}